Page MenuHomePhabricator

Consistent hovering behavior for bars and the rectangle behing them
Closed, ResolvedPublic2 Story Points

Description

Current situation:
Currently, you can see the tooltip by hovering over either a revision bar or the greyish rectangle that extends it to the full height of the revision slider. If you hover first over the greyish rectangle, the bar is not highlighted. If you then hover over the bar, it gets highlighted, too. However, this new highlighting does not indicate any new option/selection...

Task:
Whenever the greyish rectangle is seen, the corresponding bar should be highlighted, too.

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen.
The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Event Timeline

Lea_WMDE created this task.Aug 16 2016, 3:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 3:30 PM
Jakob_WMDE moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-08-11 board.

Change 305646 had a related patch set uploaded (by Jakob):
Highlight revision bar when hovering revision wrapper.

https://gerrit.wikimedia.org/r/305646

Change 305646 merged by jenkins-bot:
Highlight revision bar when hovering revision wrapper.

https://gerrit.wikimedia.org/r/305646

WMDE-leszek triaged this task as Normal priority.Aug 25 2016, 1:14 PM
WMDE-leszek set the point value for this task to 2.
Tobi_WMDE_SW closed this task as Resolved.Aug 29 2016, 12:48 PM
Addshore moved this task from Incoming to Done on the Revision-Slider board.Sep 13 2016, 2:51 PM